/* 
Theme Name: Montessori & Me
Theme URI: https://github.com/elementor/hello-theme-child/
Description: HMontessori & Me is a child theme of Hello Elementor, created by Elementor team
Author: Christopher Dutchak
Author URI: https://domainadvantage.ca/
Template: hello-elementor
Version: 2.0.0
Text Domain: montessoriandme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/* M&M CUSTOM STYLING */
.mm-staff-content ul {
    margin: 0;
    padding: 0;
}

.mm-staff-content ul li {
    margin: 0 0 15px;
}

/* PARTENT PORTAL */

.mm-portal-list ul li {
    list-style-image: url(/wp-content/uploads/2026/06/DOC_2.svg);
    margin-bottom: 25px;
}

.mm-portal-list ul li a:hover {
    color: #6B4A8E
}

.mm-portal-list ul li:last-child {
    margin-bottom: 0;
}

.mm-portal-list ul li::marker {
    font-size: 34px;
}


/* FORMIDABLE */



.with_frm_style .frm_message,
.frm_success_style {
    border: none;
    background-color: transparent;
    color: #000
}

.with_frm_style .frm_message h1,
.with_frm_style .frm_message h2,
.with_frm_style .frm_message h3,
.with_frm_style .frm_message h4,
.with_frm_style .frm_message h5,
.with_frm_style .frm_message h6 {
    color: var(--e-global-color-primary);
}
.with_frm_style .frm_message p a {color: var(--e-global-color-primary) !important;font-weight:500;}



.with_frm_style .frm_message p {
    color: #000;margin-top:5px;
}

.with_frm_style .frm_primary_label {
    line-height: 1.35em;
}

.ui-datepicker-today span,
.ui-datepicker-today a {
    color: #fff !important;
}

.ui-datepicker-today:hover {
    background-color: #6B4A8E99
}


.frm-datepicker .ui-datepicker-next:before,
.frm-datepicker .ui-datepicker-prev:before {
    background-color: #fff;
}

.frm_description {
    line-height: 1.2em;
}

/* CALENDAR VIEW */
.frmcal.frm-modern-calendar.alignfull {
    margin-inline: 0;
    width: 100%;
    max-width: 100%;
}

.calendar-button {
    display: inline-block;
    font-size: 9.5px;
    font-weight: bold;
    line-height: 1.2em;
    padding: 6px 10px;
    border-radius: 15px;
    background-color: #fff;
    border: 1px solid #a3a3a3;
}

.calendar-button:hover {
    background-color: #6B4A8E;
    color: #fff !important;
    border: 1px solid #6B4A8E;
}

.mm-calendar-detail a {
    font-weight: 400;
}

.mm-calendar-detail {
    margin-top: 10px;
    padding: 5px;
    border: 1px solid #f2f2f2;
    border-radius: 5px;
    background-color: #f6f6f6;
    font-size: 12px;
}



.mm-calendar-detail>div {
    line-height: 1.1em;
    margin-bottom: 5px;
}

.frm-modern-calendar .frmcal-content .mm-calendar-detail p {
    font-size: 12px;
}

/* BOOKING TABLE */

#booking-detail-wrap {
    margin: 0 auto;
    max-width: 1200px;
}

#booking-detail-wrap #booking-detail {
    column-count: 2;
    column-gap: 50px;
}

#booking-detail-wrap #booking-detail-back {
    margin: 0 auto;
    text-align: center;
    margin-top: 50px;
}

#booking-detail-wrap #booking-detail p span {
    color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-b4e17c5-font-family), Sans-serif;
    font-size: var(--e-global-typography-b4e17c5-font-size);
    font-weight: var(--e-global-typography-b4e17c5-font-weight);
    line-height: var(--e-global-typography-b4e17c5-line-height);
    letter-spacing: var(--e-global-typography-b4e17c5-letter-spacing);
    margin-right: 20px;
}

@media screen and (max-width:767px) {
    #booking-detail-wrap #booking-detail {
        column-count: 1;
        column-gap: 50px;
    }



}

/* STATUS */
span.mm-cal-status,
span.mm-cal-type {
    display: block;
    border-radius: 5px;
    font-weight: 400;
    color: #fff;
    padding: 3px 6px;
    text-align: center;
    margin-bottom: 10px;
    line-height: 1em;
    font-size: 10.5px;
}

span.mm-cal-type {
    font-weight: 700;
    font-size: 12px;
    margin-bottom: 4px;
}

span.mm-cal-status.tour-booked-confirmed,
span.mm-cal-status.application-submitted {
    background-color: green
}

span.mm-cal-status.tour-missed {
    background-color: #c2274b;

}

span.mm-cal-status.tour-complete {
    background-color: #00a99d
}

span.mm-cal-status.application-approved-book-enrollment-meeting,
span.mm-cal-status.application-approved {
    background-color: #0054a6
}

span.mm-cal-status.enrolled {
    background-color: #662d91
}

span.mm-cal-status.poor-fit {
    background-color: orangered;
}

span.mm-cal-status.future-enrollment {
    background-color: #a27b5c
}


span.mm-cal-type.tour-booking {
    background-color: #2ecc71
}

span.mm-cal-type.enrollmentuniform-fitting-booking {
    background-color: #3498db
}

span.mm-cal-type.uniform-fitting {
    background-color: #34495e
}

/* HIDE STATUS UNLESS IN TABLE VIEW */
#frm_field_25_container.mm-confirmation {
    display: none;
}

.mm-booking-table #frm_field_25_container.mm-confirmation {
    display: block;
}

/* PASSWORD PROTECTED PAGES */
form.post-password-form > p:first-of-type {text-align: center;
    font-weight: 400;}


    	.mm-staff-content ul {margin:0;padding:0;}
	.mm-staff-content ul li {margin:0 0 15px;}